package com.hzya.frame.sysnew.integratedForegroundTaskDetail.entity;

import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;

import java.util.Date;

/**
 * 集成前台任务明细表(SysIntegratedForegroundTaskDetail)实体类
 *
 * @author makejava
 * @since 2024-03-18 14:35:30
 */
public class SysIntegratedForegroundTaskDetailEntity extends BaseEntity {
 
  /**  主表id */
   private String formmainId;
  /**  参数编码 */
   private String argCode;
  /**  参数名称 */
   private String argName;
  /**  参数类型 */
   private String argType;
  /**  参数值 */
   private String argValue;
  /**  备注 */
   private String remark;


    public String getFormmainId() {
        return formmainId;
    }

    public void setFormmainId(String formmainId) {
        this.formmainId = formmainId;
    }

    public String getArgCode() {
        return argCode;
    }

    public void setArgCode(String argCode) {
        this.argCode = argCode;
    }

    public String getArgName() {
        return argName;
    }

    public void setArgName(String argName) {
        this.argName = argName;
    }

    public String getArgType() {
        return argType;
    }

    public void setArgType(String argType) {
        this.argType = argType;
    }

    public String getArgValue() {
        return argValue;
    }

    public void setArgValue(String argValue) {
        this.argValue = argValue;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public void setCreate() {
        this.setId(UUIDUtils.getUUID());
        this.setSts("Y");
        this.setCreate_user_id(StpUtil.getLoginIdAsString());
        this.setModify_user_id(StpUtil.getLoginIdAsString());
        this.setCreate_time(new Date());
        this.setModify_time(new Date());
    }
    //修改信息
    public void setUpdate() {
        this.setModify_user_id(StpUtil.getLoginIdAsString());
        this.setModify_time(new Date());
    }
}

